| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::gregorian::operator<< —

operator<< for gregorian::greg_month typically streaming: Jan, Feb, Mar...

## Synopsis

    template<typename charT, typename traits>
      std::basic_ostream< charT, traits > &
      operator<<(std::basic_ostream< charT, traits > & os, const greg_month & m);

## Description

Uses the date facet to determine output string as well as selection of long or short strings. Default if no facet is installed is to output a 2 wide numeric value for the month eg: 01 == Jan, 02 == Feb, ... 12 == Dec.

| Copyright © 2001-2004 CrystalClear Software, Inc